### Method

# Gio FileInfo get_name

#### Declaration

    const char*
    g_file_info_get_name (
      GFileInfo* info
    )

#### Description

Gets the name for a file. This is guaranteed to always be set.

It is an error to call this if the `GFileInfo` does not contain `G_FILE_ATTRIBUTE_STANDARD_NAME`.

#### Return value

Type: `const char*`

A string containing the file name.

The returned data is owned by the instance.
The value is a platform-native string, using the preferred OS encoding on Unix and UTF-8 on Windows.